.ds Pg \fBPostgres\fR
.ds P4 \fBPostgres V4.2\fR
.ds P9 \fBPostgres95\fR
.ds Pm \fBPostmaster\fR
.ds pm \fBpostmaster\fR
.ds ms n
.\"
.\" ---------------------------------------------------------------------
.\"
.TH pqa_loop \*(ms "Asynchronous Tcl/Postgres interface" "June 1996" "Pqa package for Tcl/Tk"
.nh
.\"
.\" ---------------------------------------------------------------------
.\"
.SH NAME
pqa_loop \- Process result tuples in a loop
.\"
.\" ---------------------------------------------------------------------
.\"
.SH SYNOPSIS
\fBpqa_loop \fIresult varname cmd\fR
.\"
.\" ---------------------------------------------------------------------
.\"
.SH DESCRIPTION
.PP
.B Pqa_loop(\*(ms)
behaves much like a \fBforeach\fR loop. Each tuple list in the result buffer
is assigned to the variable named with \fIvarname\fR and \fICmd\fR 
is evaluated. You can use normal \fBcontinue\fR, \fBbreak\fR and
\fBreturn\fR Tcl commands to control the loop.
.\"
.\" ---------------------------------------------------------------------
.\"
.SH ARGUMENTS
.IP "\fIresult\fR" 6.0c
Specifies the result buffer. The value must be
a valid result identifier returned by a previous call of
\fBpqa_exec(\*(ms)\fR or given as parameter to the Tcl command
assotiated with the finished query if the \fB-command\fR option
of \fBpqa_exec(\*(ms)\fR was used.

.IP "\fIvarname\fR" 6.0c
The name of the variable, where the tuple data lists are
assigned to. The variable isn't unset at the end of the loop.
If there are no tuples at all, the variable isn't touched.

.IP "\fIcmd\fR" 6.0c
Valid Tcl command to evaluate.
.\"
.\" ---------------------------------------------------------------------
.\"
.SH SEE ALSO
.PP
pqa_exec(\*(ms), pqa_result(\*(ms)
